Bug 700377 - PATCH ruby-1.8.7-p334 build in RHEL/EPEL 5
PATCH ruby-1.8.7-p334 build in RHEL/EPEL 5
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ruby (Show other bugs)
5.7
Unspecified Linux
unspecified Severity unspecified
: ---
: 5.8
Assigned To: Vít Ondruch
BaseOS QE Security Team
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 05:19 EDT by Sergio Rubio
Modified: 2011-07-04 00:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-20 02:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch configure.in to build in RHEL5/EPEL (1.73 KB, patch)
2011-04-28 05:19 EDT, Sergio Rubio
no flags Details | Diff

  None (edit)
Description Sergio Rubio 2011-04-28 05:19:04 EDT
Created attachment 495459 [details]
patch configure.in to build in RHEL5/EPEL

The attached patch fixes ruby-1.8.7-p334 build in RHEL/EPEL 5.

ruby-1.8.7-p334 in rawhide right now requires autoconf-2.60. This patch fixes removes 2.60 dep in configure.in
Comment 1 Mamoru TASAKA 2011-04-28 09:39:53 EDT
No need on Fedora side, moving the product to RHEL6. Please triage.
Comment 9 Vít Ondruch 2011-05-20 02:45:17 EDT
(In reply to comment #0)
> Created attachment 495459 [details]
> patch configure.in to build in RHEL5/EPEL
> 
> The attached patch fixes ruby-1.8.7-p334 build in RHEL/EPEL 5.
> 
> ruby-1.8.7-p334 in rawhide right now requires autoconf-2.60. This patch fixes
> removes 2.60 dep in configure.in

Dear Sergio,

Thank you for your patch. However, we are not going to rebase RHEL-5 Ruby to 1.8.7.
Comment 10 Sergio Rubio 2011-05-20 04:38:50 EDT
Sure, understand. My intention was to have it here for the folks out there trying to get a modern ruby packaged if they need it.

Do you think it might be useful to EPEL folks? If so, is there anything else I need to do to trigger attention?

Thanks.
Comment 11 Marcela Mašláňová 2011-05-20 04:44:27 EDT
It's not possible to have it in EPEL-5 repo either. According to guidelines we don't provide the same package in EPEL and RHEL in different versions.

Note You need to log in before you can comment on or make changes to this bug.